package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.LogPayCpParam;
import com.zanxiang.manage.domain.vo.LogPayCpVO;
import com.zanxiang.mybatis.entity.LogPayCp;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 通知CP记录表
 */
public interface ILogPayCpService extends IService<LogPayCp> {

    /**
     * 回调cp列表
     *
     * @param param 参数
     * @return {@link IPage}<{@link LogPayCpVO}>
     */
    IPage<LogPayCpVO> callCpList(LogPayCpParam param);
}
