package com.zanxiang.sdk.service;

import com.zanxiang.mybatis.entity.User;
import com.zanxiang.sdk.domain.dto.PlatformOrderDTO;

/**
 * @author : lingfeng
 * @time : 2022-11-10
 * @description : 回传
 */
public interface ICallBackService {

    /**
     * 用户回传
     *
     * @param user 用户
     */
    void userCallBack(User user);

    /**
     * 订单回传
     *
     * @param orderInfo 订单信息
     */
    void orderCallBack(PlatformOrderDTO orderInfo);
}
