package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.mybatis.entity.GamePayStrategy;
import com.zanxiang.sdk.domain.bo.PlatformOrderBO;
import com.zanxiang.sdk.domain.params.UserData;

/**
 * 游戏策略 服务类接口
 *
 * @author xufeng
 * @date 2022-07-01 11:38
 */
public interface IGamePayStrategyService extends IService<GamePayStrategy> {

    /**
     * 支付策略
     *
     * @param user    用户
     * @param orderBo 订单薄
     * @return {@link Boolean}
     */
    Boolean paySwitch(UserData user, PlatformOrderBO orderBo);
}
